---
name: connections-routes
description: Handle 6 OpenAPI operation(s) under /v1/connections for the connections route group.
---

# connections API Routes

Handle 6 OpenAPI operation(s) under /v1/connections for the connections route group.

Use the generated operation tools to make real API calls. Do not invent API responses.
If a tool reports missing setup, return the exact setup field name to the caller.
For write, update, or delete operations, state the intended action before calling the tool.

## Operations

### connect_carrier

- Operation ID: `connect_carrier`
- Route: `POST /v1/connections/carriers/{carrier_name}`
- Mode: WRITE
- Summary: Connect a carrier account
- Parameters:
  - `carrier_name` in `path` required
- Body: JSON request body accepted.

### disconnect_carrier

- Operation ID: `disconnect_carrier`
- Route: `DELETE /v1/connections/carriers/{carrier_name}/{carrier_id}`
- Mode: WRITE
- Summary: Disconnect a carrier
- Parameters:
  - `carrier_name` in `path` required
  - `carrier_id` in `path` required

### get_carrier_settings

- Operation ID: `get_carrier_settings`
- Route: `GET /v1/connections/carriers/{carrier_name}/{carrier_id}/settings`
- Mode: READ
- Summary: Get carrier settings
- Parameters:
  - `carrier_name` in `path` required
  - `carrier_id` in `path` required

### update_carrier_settings

- Operation ID: `update_carrier_settings`
- Route: `PUT /v1/connections/carriers/{carrier_name}/{carrier_id}/settings`
- Mode: WRITE
- Summary: Update carrier settings
- Parameters:
  - `carrier_name` in `path` required
  - `carrier_id` in `path` required
- Body: JSON request body accepted.

### disconnect_insurer

- Operation ID: `disconnect_insurer`
- Route: `DELETE /v1/connections/insurance/shipsurance`
- Mode: WRITE
- Summary: Disconnect a Shipsurance Account

### connect_insurer

- Operation ID: `connect_insurer`
- Route: `POST /v1/connections/insurance/shipsurance`
- Mode: WRITE
- Summary: Connect a Shipsurance Account
- Body: JSON request body accepted.
